<ion-header>
    <ion-toolbar>
        <ion-title>&nbsp;</ion-title>
    </ion-toolbar>
    <ion-toolbar>
        <ion-card-title class="ion-padding-start ion-text-capitalize">
            <b>Categories</b>
        </ion-card-title>
    </ion-toolbar>
    <ion-searchbar placeholder="Search by category name" (ionInput)="_searchFromCat($event)" (ionClear)="_restoreCat()"></ion-searchbar>
</ion-header>

<ion-content>
    <ion-grid no-padding *ngIf="catgoriesArray.length == 0">
        <ion-row>
            <ion-col align-self-center>
                <img src="assets/imgs/nodata.svg" class="centerImg">
                <ion-card-title text-center>No Data Found</ion-card-title>
            </ion-col>
        </ion-row>
    </ion-grid>
    <ion-list *ngIf="catgoriesArray.length > 0">
        <ion-item lines="full" detail *ngFor="let items of catgoriesArray" (click)="navigateTrending()">
            <ion-avatar slot="start">
                <img src={{items.catThumbnail}}>
            </ion-avatar>
            <ion-text>
                <p>
                    <span class="headTitleText">{{items.catName}}</span><br>
                    <span class="subText">{{items.catSubName}}</span></p>
            </ion-text>
            <ion-text slot="end">
                <p><span class="subheadText">{{items.catTotCount}}</span></p>
            </ion-text>
        </ion-item>
    </ion-list>
</ion-content>